
export function get_data_from_indicators(data){
    var key = "valor";
    var arrData = []; var val = 0;
    for (let i = 0; i < data.length; i++) {
        val = data[i][key];
        arrData.push(val);
    }
    return arrData;
}

export function build_series_spline(arrData, arrAreas){

    var series = [];
    var cantAreas = arrAreas.length;
    for (var i = 0; i < cantAreas; i++) {
        var serie = { };
        serie.name = arrAreas[i];
        if(typeof arrData[i] === 'object'){
            serie.data = arrData[i];
        } else { 
        serie.data = arrData;
        }
        series.push(serie);
    }
    return series;

}

// Similar al de arriba, es mas simple ya que no hace validacion si consiste en un objeto
// export function build_series(arrData, arrAreas){

//     var series = [];
//     var cantAreas = arrAreas.length;
//     for (var i = 0; i < cantAreas; i++) {
//         var serie = {};
//         serie['name'] = arrAreas[i];
//         serie['data'] = arrData[i];
//         series.push(serie);
//     } 
//     return series;
  
// }